package ru.yandex.direct.web.entity.adgeneration.model.response;

import java.util.Collection;
import java.util.Map;

import javax.annotation.Nullable;

public class WebGenerateKeywordsResult extends WebGenerationResult {

    @Nullable
    private Collection<String> keywords;

    public WebGenerateKeywordsResult() {}

    public WebGenerateKeywordsResult(Collection<String> keywords, Map<String, Object> additionalInfo) {
        super(additionalInfo);
        this.keywords = keywords;
    }

    @Nullable
    public Collection<String> getKeywords() {
        return keywords;
    }
}
